Summary:	Phodav - WebDAV server implementation using libsoup
Summary(en.UTF-8):	Phởdav - WebDAV server implementation using libsoup
Summary(pl.UTF-8):	Phởdav - implementacja serwera WebDAV wykorzystująca libsoup
Name:		phodav
Version:	2.5
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/phodav/2.5/%{name}-%{version}.tar.xz
# Source0-md5:	2dc345a3e6085561b6700decb73383cc
URL:		https://wiki.gnome.org/phodav
BuildRequires:	asciidoc
BuildRequires:	attr-devel
BuildRequires:	avahi-devel
BuildRequires:	avahi-gobject-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.51.2
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	libsoup-devel >= 2.48.0
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	meson >= 0.50
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	systemd-units
BuildRequires:	tar >= 1:1.22
# for udevdir
BuildRequires:	udev-devel
BuildRequires:	xmlto
BuildRequires:	xz
Requires:	%{name}-libs = %{version}-%{release}
Requires:	systemd-units
Conflicts:	phodav3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
phodav is a WebDAV server implementation using libsoup (RFC 4918).

%description -l en.UTF-8
phởdav is a WebDAV server implementation using libsoup (RFC 4918).

%description -l pl.UTF-8
phởdav to implementacja serwera WebDAV wykorzystująca libsoup (RFC
4918).

%package libs
Summary:	PhoDAV - WebDAV library based on libsoup
Summary(pl.UTF-8):	PhoDAV - biblioteka WebDAV oparta na libsoup
Group:		Libraries
Requires:	glib2 >= 1:2.51.2
Requires:	libsoup >= 2.48.0

%description libs
PhoDAV - WebDAV library based on libsoup.

%description libs -l pl.UTF-8
PhoDAV - biblioteka WebDAV oparta na libsoup.

%package devel
Summary:	Header files for PhoDAV library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki PhoDAV
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.51.2
Requires:	libsoup-devel >= 2.48.0
Requires:	libxml2-devel >= 2.0

%description devel
Header files for PhoDAV library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki PhoDAV.

%package static
Summary:	Static PhoDAV library
Summary(pl.UTF-8):	Statyczna biblioteka PhoDAV
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static PhoDAV library.

%description static -l pl.UTF-8
Statyczna biblioteka PhoDAV.

%package apidocs
Summary:	API documentation for PhoDAV library
Summary(pl.UTF-8):	Dokumentacja API biblioteki PhoDAV
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for PhoDAV library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki PhoDAV.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}-2.0.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/chezdav
%attr(755,root,root) %{_sbindir}/spice-webdavd
%{systemdunitdir}/spice-webdavd.service
/lib/udev/rules.d/70-spice-webdavd.rules
%{_mandir}/man1/chezdav.1*

%files libs
%defattr(644,root,root,755)
%doc NEWS README.md TODO
%attr(755,root,root) %{_libdir}/libphodav-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libphodav-2.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libphodav-2.0.so
%{_includedir}/libphodav-2.0
%{_pkgconfigdir}/libphodav-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libphodav-2.0.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/phodav-2.0
%changelog
* Fri Jul 08 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/phodav.git;a=log;h=master

* Fri Jul 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 82d215b
- main package conflicts with phodav3

* Fri Jul 08 2022 Jakub Bogusz <qboosh@pld-linux.org> f0f5736
- updated to 2.5

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> dfc4112
- unconditional noarch subpackages

* Thu Apr 16 2020 Jakub Bogusz <qboosh@pld-linux.org> cbe0e57
- updated to 2.4; uses meson now

* Sun Feb 19 2017 Jakub Bogusz <qboosh@pld-linux.org> 9fd9788
- updated to 2.2

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> 76ebccb
- noarch apidoc

* Sat Feb 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 91d58c0
- updated to 2.0 (note: new library name)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 4780c01
- updated gettext BR

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 640a593
- libffi rebuild
- release 2 (by relup.sh)

* Wed Apr 16 2014 Jakub Bogusz <qboosh@pld-linux.org> c42f69d
- updated to 0.4

* Tue Apr 01 2014 Jakub Bogusz <qboosh@pld-linux.org> c6dff6f
- updated to 0.3

* Sat Feb 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 7bd70dd
- new

